Loading...
Searching...
No Matches
caf::io::network::event_handler::state Struct Reference

Stores various status flags and user-defined config parameters. More...

`#include <event_handler.hpp>`

## Public Attributes

bool | reading: 1
| Stores whether the socket is currently registered for reading.
bool | writing: 1
| Stores whether the socket is currently registered for writing.
bool | ack_writes: 1
| Stores whether the parent actor demanded write receipts.
bool | shutting_down: 1
| Stores whether graceful_shutdown() was called.
unsigned | rd_flag: 2
| Stores what receive policy is currently active.

## Detailed Description

Stores various status flags and user-defined config parameters.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_io/caf/io/network/event_handler.hpp